sx, sy, sz = GetInt("size", 100, 30, 100)
flor = GetString("floor", "BUILT-IN/brush/floor/wood_hardwood.vox", "brush vox")
roof = GetString("roof", "BUILT-IN/brush/innerroof/wood_panel.vox", "brush vox")
middle = GetString("middle", "", "brush vox")
height = {}

function init()
	local middleMat
	if middle ~= "" then
		middleMat = CreateBrush(middle)
	else
		middleMat = CreateMaterial("masonry", 0.7, 0.7, 0.7)
	end
	local floorMat = CreateBrush(flor)
	local roofMat = CreateBrush(roof)

	Vox(0,0,0)

	Material(roofMat)
	Box(0, 0, 0, sx, 2, sz)
	
	Material(middleMat)	
	Box(0, 2, 0, sx, sy-1, sz)

	Material(floorMat)
	Box(0, sy-1, 0, sx, sy, sz)
end

